commit: a4498728340f997a1d328c0b8682d651e8c9cec1
Author: Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Sat Sep 26 10:04:10 2020 +0000
Commit: Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Sat Sep 26 10:04:10 2020 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=a4498728
sci-biology/nitime: version bump 0.8.1 and PYTHON_COMPAT update
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Horea Christian <chr <AT> chymera.eu>
sci-biology/nitime/nitime-0.6.ebuild | 6 +++---
.../nitime/{nitime-0.6.ebuild => nitime-0.8.1.ebuild} | 14 +++++++-------
sci-biology/nitime/nitime-9999.ebuild | 6 +++---
3 files changed, 13 insertions(+), 13 deletions(-)
diff --git a/sci-biology/nitime/nitime-0.6.ebuild
b/sci-biology/nitime/nitime-0.6.ebuild
index fa11bca00..2fa80fdb8 100644
--- a/sci-biology/nitime/nitime-0.6.ebuild
+++ b/sci-biology/nitime/nitime-0.6.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+PYTHON_COMPAT=( python3_{6,7} )
inherit distutils-r1
diff --git a/sci-biology/nitime/nitime-0.6.ebuild
b/sci-biology/nitime/nitime-0.8.1.ebuild
similarity index 74%
copy from sci-biology/nitime/nitime-0.6.ebuild
copy to sci-biology/nitime/nitime-0.8.1.ebuild
index fa11bca00..a68f9e5f9 100644
--- a/sci-biology/nitime/nitime-0.6.ebuild
+++ b/sci-biology/nitime/nitime-0.8.1.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+PYTHON_COMPAT=( python3_{6,7} )
-inherit distutils-r1
+inherit distutils-r1 virtualx
DESCRIPTION="Time-series analysis of neuroscience data"
HOMEPAGE="http://nipy.org/nitime/index.html"
@@ -22,8 +22,8 @@ COMMON_DEPEND="
dev-python/scipy[${PYTHON_USEDEP}]
"
DEPEND="
- test? ( dev-python/nose[${PYTHON_USEDEP}] )
- dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+ dev-python/cython[${PYTHON_USEDEP}]
"
RDEPEND="
${COMMON_DEPEND}
@@ -34,5 +34,5 @@ RDEPEND="
S="${WORKDIR}/${PN}-rel-${PV}"
python_test() {
- nosetests -v || die
+ virtx pytest -v || die
}
diff --git a/sci-biology/nitime/nitime-9999.ebuild
b/sci-biology/nitime/nitime-9999.ebuild
index fe0d9f1da..192c53138 100644
--- a/sci-biology/nitime/nitime-9999.ebuild
+++ b/sci-biology/nitime/nitime-9999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+PYTHON_COMPAT=( python3_{6,7} )
inherit distutils-r1 git-r3